CCZE(1)

NAME
ccze - A robust log colorizer

SYNOPSIS
ccze [options] <logfile

DESCRIPTION
This manual page documents briefly the ccze utility, which is a drop-in replacement for colorize, but written in C, to be faster and less resource-hungry. The goal was to be fully backwards compatible, yet superior with respect to speed and features.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-a, --argument PLUGIN=ARGUMENTS
    Use this option to pass ARGUMENTS to the specified PLUGIN. The argument list is whitespace separated.

-A, --raw-ansi
    If one wants to enable raw ANSI color sequences instead of using curses, this option does just that.

-c, --color KEY=COLOR
    Set the color of the keyword KEY to COLOR, like one would do in one of the configuration files.

-C, --convert-date
    Convert unix timestamp to readable date format (in oops and squid logs, for example).

-F, --rcfile rcfile
    Read rcfile as a configuration file upon startup, instead of the default ones.

-h, --html
    Instead of colorising the input onto the console, output it in HTML format instead.

-l, --list-plugins
    List all available (loaded) plugins, along with their type and a short description.

-m, --mode mode
    Change the output mode. Available modes are curses, ansi and html.

-o, --options OPTIONS...
    CCZE is able to toggle some of its features with this option. You can toggle the scroll, wordcolor, lookups, and transparent features, or you can fiddle with cssfile. All of these are enabled by default, except cssfile. One can turn them off by prefixing the option with a "no". With scroll, one can enable or disable scrolling. If the output is not redirected, it is wise to leave it enabled. The wordcolor option makes ccze search for different keywords in unparsed input, and color those too. Since it is quite fast, and makes the output look better, it is recommended to leave this enabled. However, lookups is an option that might be better to disable. When on, ccze will try to look up usernames, service names, and lots of other stuff, which will slow down coloring a great deal. If one is piping a long log through ccze, this option might be turned off to speed up the process. With the transparent option, one can make CCZE treat black background colors as transparent - that means, a black background will appear transparent in a similar X terminal. If turned off, it will appear as black. If cssfile is set, then CCZE will not inline the Cascading Style Sheet information into the outputted HTML, but include a link to the external stylesheet given in this parameter.

-p, --plugin PLUGIN
    While the default action is to load all plugins (see the Plugins section below), when this option is present, only the specified plugins will be loaded. If one knows what kind of log will be piped through ccze, using this option may result in a slight speedup.

-r, --remove-facility
    Syslog-ng puts the facility level before log messages. With this switch, these can be cut off.

--help
    Show summary of options and exit.

-V, --version
    Show version of program.

PLUGINS
Different programs have different kind of logs, and every kind of log ccze supports is implemented via a plug-in. They are by default located under /usr/lib64/ccze and $HOME/.ccze (so they can be overridden by the user easily). At the moment, the following modules are bundled with the official release:

apm For coloring apmd's logs.

distcc
    For coloring distccd's logs. (See distccd(1))

exim
    For coloring exim's main.log. (See exim(8))

fetchmail
    For coloring fetchmail's log files. (See fetchmail(1))

ftpstats
    For coloring ftpStats compatible log files, such as Pure-FTPD's Stats log format.

httpd
    For coloring apache-style access.log and error.log files. (See apache(8)) As a side-effect, all compatible formats, like pure-ftpd(8)'s common-log format is also supported by this plugin.

icecast
    For coloring icecast/icecast.log and icecast/usage.log files. (See icecast(8))

oops
    For coloring oops/oops.log files.

php For coloring php.log files.

postfix
    For coloring postfix logs. (See postfix(1))

procmail
    For coloring procmail's log file. (See procmail(1))

proftpd
    For coloring proftpd's access.log and auth.log files. (See proftpd(8))

squid
    For coloring squid's access.log, store.log and cache.log files. (See squid(8))

sulog
    For coloring sulog files. (See su(1))

super
    For coloring super.log files. (See super(1))

syslog
    For coloring generic syslog messages. (See syslogd(8))

ulogd
    For coloring ulogd logs.

vsftpd
    For coloring vsftpd.log files. (See vsftpd(8))

xferlog
    For coloring xferlog files. (See xferlog(5))

FILES

/etc/colorizerc, $HOME/.colorizerc
    These files are the default configuration files for colorize, and are parsed by ccze for the sake of full compatibility.
/etc/cczerc, $HOME/.cczerc
    This two are the main configuration files, in which one can change the colors used by the program to his liking. See the comments in the beginning of /etc/cczerc for a description on the files' structure. If neither of these files exist on your system, consider using the ccze-dump utility in the source tree, which dumps the default color set to standard output.

SEE ALSO
colorize(1)

AUTHOR
ccze was written by Gergely Nagy <algernon@bonehunter.rulez.org>, based on colorize by Istvan Karaszi <colorize@spam.raszi.hu>.